Debian Bug report logs - #462318
dpkg-dev: symbols to blacklist for armel

version graph

Package: dpkg-dev; Maintainer for dpkg-dev is Dpkg Developers <debian-dpkg@lists.debian.org>; Source for dpkg-dev is src:dpkg.

Reported by: Aurelien Jarno <aurel32@debian.org>

Date: Wed, 23 Jan 2008 22:36:14 UTC

Severity: important

Found in version dpkg/1.14.16.4

Fixed in version dpkg/1.14.16.5

Done: Raphael Hertzog <hertzog@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Dpkg Developers <debian-dpkg@lists.debian.org>:
Bug#462318; Package dpkg-dev. Full text and rfc822 format available.

Acknowledgement sent to Aurelien Jarno <aurel32@debian.org>:
New Bug report received and forwarded. Copy sent to Dpkg Developers <debian-dpkg@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Aurelien Jarno <aurel32@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: dpkg-dev: symbols to blacklist for armel
Date: Wed, 23 Jan 2008 15:59:24 +0100
Package: dpkg-dev
Version: 1.14.16.4
Severity: important


libvorbis does not build on armel:

| dpkg-gensymbols: warning: some new symbols appeared in the symbols file.
| dpkg-gensymbols: warning: debian/libvorbisfile3/DEBIAN/symbols doesn't match completely debian/libvorbisfile3.symbols
| 
| --- dpkg-gensymbolsSkeySn       2008-01-09 00:34:54.000000000 +0000
| +++ dpkg-gensymbolsYZDMhU       2008-01-09 00:34:54.000000000 +0000
| @@ -1,4 +1,6 @@
|  libvorbisfile.so.3 libvorbisfile3 #MINVER#
| + __aeabi_d2lz@Base 1.2.0.dfsg-3
| + __aeabi_d2ulz@Base 1.2.0.dfsg-3
|   ov_bitrate@Base 1.1.2
|   ov_bitrate_instant@Base 1.1.2
|   ov_clear@Base 1.1.2
| dh_makeshlibs: command returned error code 5

It looks like __aeabi* symbols should be blacklisted on armel.

-- System Information:
Debian Release: lenny/sid
Architecture: armel (armv5tejl)

Kernel: Linux 2.6.18-4-versatile
Locale: LANG=fr_FR.UTF-8, LC_CTYPE=fr_FR.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages dpkg-dev depends on:
ii  binutils            2.18.1~cvs20080103-1 The GNU assembler, linker and bina
ii  bzip2               1.0.4-2              high-quality block-sorting file co
ii  cpio                2.9-9                GNU cpio -- a program to manage ar
ii  dpkg                1.14.16.4            package maintenance system for Deb
ii  libtimedate-perl    1.1600-9             Time and date functions for Perl
ii  lzma                4.43-12              Compression method of 7z format in
ii  make                3.81-3               The GNU version of the "make" util
ii  patch               2.5.9-4              Apply a diff file to an original
ii  perl [perl5]        5.8.8-12             Larry Wall's Practical Extraction 
ii  perl-modules        5.8.8-12             Core Perl modules

Versions of packages dpkg-dev recommends:
ii  build-essential               11.3       informational list of build-essent
ii  gcc [c-compiler]              4:4.2.2-1  The GNU C compiler
ii  gcc-4.1 [c-compiler]          4.1.2-18   The GNU C compiler
ii  gcc-4.2 [c-compiler]          4.2.2-7    The GNU C compiler

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Dpkg Developers <debian-dpkg@lists.debian.org>:
Bug#462318; Package dpkg-dev. Full text and rfc822 format available.

Acknowledgement sent to Raphael Hertzog <hertzog@debian.org>:
Extra info received and forwarded to list. Copy sent to Dpkg Developers <debian-dpkg@lists.debian.org>. Full text and rfc822 format available.

Message #10 received at 462318@bugs.debian.org (full text, mbox):

From: Raphael Hertzog <hertzog@debian.org>
To: Aurelien Jarno <aurel32@debian.org>, 462318@bugs.debian.org
Subject: Re: Bug#462318: dpkg-dev: symbols to blacklist for armel
Date: Thu, 24 Jan 2008 08:24:20 +0100
On Wed, 23 Jan 2008, Aurelien Jarno wrote:
> libvorbis does not build on armel:
> 
> | dpkg-gensymbols: warning: some new symbols appeared in the symbols file.
> | dpkg-gensymbols: warning: debian/libvorbisfile3/DEBIAN/symbols doesn't match completely debian/libvorbisfile3.symbols
> | 
> | --- dpkg-gensymbolsSkeySn       2008-01-09 00:34:54.000000000 +0000
> | +++ dpkg-gensymbolsYZDMhU       2008-01-09 00:34:54.000000000 +0000
> | @@ -1,4 +1,6 @@
> |  libvorbisfile.so.3 libvorbisfile3 #MINVER#
> | + __aeabi_d2lz@Base 1.2.0.dfsg-3
> | + __aeabi_d2ulz@Base 1.2.0.dfsg-3
> |   ov_bitrate@Base 1.1.2
> |   ov_bitrate_instant@Base 1.1.2
> |   ov_clear@Base 1.1.2
> | dh_makeshlibs: command returned error code 5
> 
> It looks like __aeabi* symbols should be blacklisted on armel.

Can you check if there are other similar symbols? The blacklist is an
explicit list of symbols, and I try to avoid using regex for the blacklist.

Cheers,
-- 
Raphaël Hertzog

Le best-seller français mis à jour pour Debian Etch :
http://www.ouaza.com/livre/admin-debian/




Information forwarded to debian-bugs-dist@lists.debian.org, Dpkg Developers <debian-dpkg@lists.debian.org>:
Bug#462318; Package dpkg-dev. Full text and rfc822 format available.

Acknowledgement sent to Aurelien Jarno <aurelien@aurel32.net>:
Extra info received and forwarded to list. Copy sent to Dpkg Developers <debian-dpkg@lists.debian.org>. Full text and rfc822 format available.

Message #15 received at 462318@bugs.debian.org (full text, mbox):

From: Aurelien Jarno <aurelien@aurel32.net>
To: Raphael Hertzog <hertzog@debian.org>
Cc: 462318@bugs.debian.org
Subject: Re: Bug#462318: dpkg-dev: symbols to blacklist for armel
Date: Thu, 24 Jan 2008 10:29:23 +0100
Raphael Hertzog a écrit :
> On Wed, 23 Jan 2008, Aurelien Jarno wrote:
>> libvorbis does not build on armel:
>>
>> | dpkg-gensymbols: warning: some new symbols appeared in the symbols file.
>> | dpkg-gensymbols: warning: debian/libvorbisfile3/DEBIAN/symbols doesn't match completely debian/libvorbisfile3.symbols
>> | 
>> | --- dpkg-gensymbolsSkeySn       2008-01-09 00:34:54.000000000 +0000
>> | +++ dpkg-gensymbolsYZDMhU       2008-01-09 00:34:54.000000000 +0000
>> | @@ -1,4 +1,6 @@
>> |  libvorbisfile.so.3 libvorbisfile3 #MINVER#
>> | + __aeabi_d2lz@Base 1.2.0.dfsg-3
>> | + __aeabi_d2ulz@Base 1.2.0.dfsg-3
>> |   ov_bitrate@Base 1.1.2
>> |   ov_bitrate_instant@Base 1.1.2
>> |   ov_clear@Base 1.1.2
>> | dh_makeshlibs: command returned error code 5
>>
>> It looks like __aeabi* symbols should be blacklisted on armel.
> 
> Can you check if there are other similar symbols? The blacklist is an
> explicit list of symbols, and I try to avoid using regex for the blacklist.

For pyvorbis this is the full diff, so that's the only two different
symbols.

Looking at libgcc1, I have found the following symbols, I guess most of
them can also be present in the libraries:

__aeabi_cdcmpeq
__aeabi_cdcmple
__aeabi_cdrcmple
__aeabi_cfcmpeq
__aeabi_cfcmple
__aeabi_cfrcmple
__aeabi_d2f
__aeabi_d2iz
__aeabi_d2lz
__aeabi_d2uiz
__aeabi_d2ulz
__aeabi_dadd
__aeabi_dcmpeq
__aeabi_dcmpge
__aeabi_dcmpgt
__aeabi_dcmple
__aeabi_dcmplt
__aeabi_dcmpun
__aeabi_ddiv
__aeabi_dmul
__aeabi_dneg
__aeabi_drsub
__aeabi_dsub
__aeabi_f2d
__aeabi_f2iz
__aeabi_f2lz
__aeabi_f2uiz
__aeabi_f2ulz
__aeabi_fadd
__aeabi_fcmpeq
__aeabi_fcmpge
__aeabi_fcmpgt
__aeabi_fcmple
__aeabi_fcmplt
__aeabi_fcmpun
__aeabi_fdiv
__aeabi_fmul
__aeabi_fneg
__aeabi_frsub
__aeabi_fsub
__aeabi_i2d
__aeabi_i2f
__aeabi_idiv
__aeabi_idivmod
__aeabi_l2d
__aeabi_l2f
__aeabi_lasr
__aeabi_lcmp
__aeabi_ldivmod
__aeabi_llsl
__aeabi_llsr
__aeabi_lmul
__aeabi_ui2d
__aeabi_ui2f
__aeabi_uidiv
__aeabi_uidivmod
__aeabi_ul2d
__aeabi_ul2f
__aeabi_ulcmp
__aeabi_uldivmod
__aeabi_unwind_cpp_pr0
__aeabi_unwind_cpp_pr1
__aeabi_unwind_cpp_pr2
__aeabi_uread4
__aeabi_uread8
__aeabi_uwrite4
__aeabi_uwrite8

Cheers,
Aurelien

-- 
  .''`.  Aurelien Jarno	            | GPG: 1024D/F1BCDB73
 : :' :  Debian developer           | Electrical Engineer
 `. `'   aurel32@debian.org         | aurelien@aurel32.net
   `-    people.debian.org/~aurel32 | www.aurel32.net




Reply sent to Raphael Hertzog <hertzog@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Aurelien Jarno <aurel32@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #20 received at 462318-close@bugs.debian.org (full text, mbox):

From: Raphael Hertzog <hertzog@debian.org>
To: 462318-close@bugs.debian.org
Subject: Bug#462318: fixed in dpkg 1.14.16.5
Date: Thu, 24 Jan 2008 14:17:02 +0000
Source: dpkg
Source-Version: 1.14.16.5

We believe that the bug you reported is fixed in the latest version of
dpkg, which is due to be installed in the Debian FTP archive:

dpkg-dev_1.14.16.5_all.deb
  to pool/main/d/dpkg/dpkg-dev_1.14.16.5_all.deb
dpkg_1.14.16.5.dsc
  to pool/main/d/dpkg/dpkg_1.14.16.5.dsc
dpkg_1.14.16.5.tar.gz
  to pool/main/d/dpkg/dpkg_1.14.16.5.tar.gz
dpkg_1.14.16.5_i386.deb
  to pool/main/d/dpkg/dpkg_1.14.16.5_i386.deb
dselect_1.14.16.5_i386.deb
  to pool/main/d/dpkg/dselect_1.14.16.5_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 462318@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Raphael Hertzog <hertzog@debian.org> (supplier of updated dpkg package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Thu, 24 Jan 2008 14:20:10 +0100
Source: dpkg
Binary: dpkg dpkg-dev dselect
Architecture: source i386 all
Version: 1.14.16.5
Distribution: unstable
Urgency: low
Maintainer: Dpkg Developers <debian-dpkg@lists.debian.org>
Changed-By: Raphael Hertzog <hertzog@debian.org>
Description: 
 dpkg       - package maintenance system for Debian
 dpkg-dev   - package building tools for Debian
 dselect    - user tool to manage Debian packages
Closes: 462318
Changes: 
 dpkg (1.14.16.5) unstable; urgency=low
 .
   * Fix dpkg-gensymbols handling of #include so that one can include multiple
     times the same file and have it properly taken into account.
   * Add many armel-specific symbols to dpkg-gensymbols' blacklist.
     Closes: #462318
Files: 
 c4fffa68606b768e751de665bc6f33eb 1088 admin required dpkg_1.14.16.5.dsc
 1a88a238689e2e0fe30339bc3f758da8 6296831 admin required dpkg_1.14.16.5.tar.gz
 00005b838a60fefc08d8c90361f30bfa 2160368 admin required dpkg_1.14.16.5_i386.deb
 d4c8764c342193824843491a8e4db0b4 741926 admin optional dselect_1.14.16.5_i386.deb
 60f695d29bf37f6ec61bf56726e5a716 603924 utils optional dpkg-dev_1.14.16.5_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)
Comment: Signed by Raphael Hertzog

iD8DBQFHmJPTvPbGD26BadIRAsrqAJ4psKreC8kapmyt+/f0BcuYAlcvvQCdE7Fh
nFz9Zoq7/GkpY8MaDsL5B7I=
=qcEG
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, Dpkg Developers <debian-dpkg@lists.debian.org>:
Bug#462318; Package dpkg-dev. Full text and rfc822 format available.

Acknowledgement sent to Riku Voipio <riku.voipio@iki.fi>:
Extra info received and forwarded to list. Copy sent to Dpkg Developers <debian-dpkg@lists.debian.org>. Full text and rfc822 format available.

Message #25 received at 462318@bugs.debian.org (full text, mbox):

From: Riku Voipio <riku.voipio@iki.fi>
To: 462318@bugs.debian.org
Subject: symbols to blacklist for arme
Date: Thu, 31 Jan 2008 14:30:01 +0200
Hi,

Is there a easy way to generate .symbols files for all library packages
for a selected arch? I presume mole has some code to do that but the
sources hide from me. This would make it possible to do a exhaustive
search of arch-specific symbols.


-- 
"rm -rf" only sounds scary if you don't have backups




Information forwarded to debian-bugs-dist@lists.debian.org, Dpkg Developers <debian-dpkg@lists.debian.org>:
Bug#462318; Package dpkg-dev. Full text and rfc822 format available.

Acknowledgement sent to Raphael Hertzog <hertzog@debian.org>:
Extra info received and forwarded to list. Copy sent to Dpkg Developers <debian-dpkg@lists.debian.org>. Full text and rfc822 format available.

Message #30 received at 462318@bugs.debian.org (full text, mbox):

From: Raphael Hertzog <hertzog@debian.org>
To: Riku Voipio <riku.voipio@iki.fi>, 462318@bugs.debian.org
Subject: Re: Bug#462318: symbols to blacklist for arme
Date: Fri, 1 Feb 2008 10:49:14 +0100
Hello,

On Thu, 31 Jan 2008, Riku Voipio wrote:
> Is there a easy way to generate .symbols files for all library packages
> for a selected arch? I presume mole has some code to do that but the
> sources hide from me. This would make it possible to do a exhaustive
> search of arch-specific symbols.

http://svn.debian.org/viewsvn/qa/trunk/mole/worker/symbols.tester?rev=1732&view=log

See also the live install in alioth:~hertzog/mole/

Basically unpack the package in a directory and run "dpkg-gensymbols
-P<unpackdir> -p<package> -v<version> -O"

Cheers,
-- 
Raphaël Hertzog

Le best-seller français mis à jour pour Debian Etch :
http://www.ouaza.com/livre/admin-debian/




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 01 Mar 2008 07:26:10 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 02:56:58 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.